Auth
Auth Email Password Signup
Register a new account with a email and password.
POST
/auth/email-password/signupRegister a new account with a email and password.
storyden-session<token>
In: cookie
Query Parameters
invitation_id?string
Unique invitation ID.
Format
xidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/auth/email-password/signup" \ -H "Content-Type: application/json" \ -d '{ "email": "hello@storyden.org", "password": "string" }'{
"id": "string"
}Empty
Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Auth Email Password Signin POST
Sign in to an existing account with a email and password.
Auth Email Signin POST
Sign in to an existing account with an email and optional password. The behaviour of this endpoint depends on how the instance is configured. If email+password is the preferred method, a cookie is returned on success but if magic links are preferred, the endpoint will start the code flow.